Announcement

Collapse
No announcement yet.

Stuck on step 21, upgrade 5.5.4 -> 5.5.5

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Christian Alfredsson
    replied
    How do you want the database?

    Leave a comment:


  • Wayne Luke
    replied
    If they aren't listed on the page, how would you reset them?

    We would need to try and figure out how your database got into its current state before we can provide a solution. The only way to do that would be to have a copy of the database.

    Leave a comment:


  • Christian Alfredsson
    replied
    I have no Custom styles. I have no Advertesing modules.

    Can I reset templates?

    Leave a comment:


  • Wayne Luke
    replied
    Originally posted by Christian Alfredsson View Post
    Only thing left is this in admincp "There are currently 22 customized template(s) that need to be updated or reverted. Some sections of vBulletin may not function if you do not do this!"

    I click - "Click here to view these templates"

    Then I come to this page. No templates to review.
    The templates shown on this page have been updated in the default template set since you customized them.
    Do you have custom styles installed? Advertising modules?

    Leave a comment:


  • Wayne Luke
    commented on 's reply
    Hmm... This is all of the translations for everything used to build pages shown to the end users and when using Site Builder. How many languages do you have installed?

    When you go to Site Builder -> Edit Page and click on the Template tags, does each entry have an actual name?

  • Christian Alfredsson
    replied
    Only thing left is this in admincp "There are currently 22 customized template(s) that need to be updated or reverted. Some sections of vBulletin may not function if you do not do this!"

    I click - "Click here to view these templates"

    Then I come to this page. No templates to review.
    The templates shown on this page have been updated in the default template set since you customized them.

    Leave a comment:


  • Christian Alfredsson
    replied
    I deleted all with this: delete from vb5_phrase where fieldname = "pagemeta";

    It was only pagemeta that was so many lines.

    Anything I should run after I deleted pagemeta

    The forum now works fast again!

    Leave a comment:


  • Christian Alfredsson
    replied
    Think I found the problem. My table vb5_phrase table is huge. Is there anything I can do to clean it?

    Leave a comment:


  • Christian Alfredsson
    replied
    Tried this to 5.6.0

    It took about 12 hours. Step 7 and step 21 was very slow.

    Leave a comment:


  • Wayne Luke
    replied
    When the MySQL Process was taking a long time, what was the query it was processing? This should be in MySQL's slow query log.

    We've done quite a bit of work to try and fix this for sites. There are a couple of things you can do to try to alleviate this issue on future upgrades. To change how this works, you would need to edit the /core/install/upgrade_options.php file on every upgrade.

    First delete unused Themes from the Style Manager in the AdminCP. You must put the site into Debug Mode to delete both copies of each theme.

    Then look at upgrade_options.php and look at this code:

    Code:
    $upgrade_options['theme_import'] = array(
        'overwrite' => true,
    );
    1. Change true to false.

    Code:
    $upgrade_options['template_merge'] = array(
        'skip_themes' => true,
        'time_limit' => 4,
        'batch_size' => 100,
    );
    1. Change true to false.
    2. Lower the time limit.
    3. Lower the batch size.

    Leave a comment:


  • Christian Alfredsson
    replied
    It only took very long time. Thanks for the help!

    Code:
    Processing XML
    ----------------------------------
    Step 21 -
    Check for updated phrases.
    Updating vb5_adminmessage table
    Step 22 - Merge template changes
    Processed 0 records starting at 0
    Template merges complete. Rebuilding style information. This could take a while...
    Merge template changes
    Processing Complete

    Leave a comment:


  • Christian Alfredsson
    replied
    Is it possibel to get some feedback from the upgrade.php-script so I can see that it is doing something? Progress?

    Leave a comment:


  • Christian Alfredsson
    replied
    I have waited 2 hours now.The mysqld-process is running on 100% and have been so for 2 hours.

    I will abort the script 12.00 after 4 hours, because it makes the site unavailable.

    Leave a comment:


  • Christian Alfredsson
    replied
    Here is list of php7-modules installed on Ubuntu 18.04 server with Apache2 (fully patched)

    Maybe I am missing a module that parse XML?



    Code:
    [PHP Modules]
    calendar
    Core
    ctype
    date
    dom
    exif
    fileinfo
    filter
    ftp
    gettext
    hash
    iconv
    igbinary
    json
    libxml
    mbstring
    memcached
    msgpack
    mysqli
    mysqlnd
    openssl
    pcntl
    pcre
    PDO
    pdo_mysql
    Phar
    posix
    readline
    Reflection
    session
    shmop
    SimpleXML
    sockets
    sodium
    SPL
    standard
    sysvmsg
    sysvsem
    sysvshm
    tokenizer
    wddx
    xml
    xmlreader
    xmlwriter
    xsl
    Zend OPcache
    zlib
    
    [Zend Modules]
    Zend OPcache



    Leave a comment:


  • Christian Alfredsson
    replied
    It does not work to write like this:

    Code:
    php /path/to/your/vbulletin/core/install/upgrade.php
    instead do this:
    Code:
    cd /path/to/your/vbulletin/core/install/
    php ./upgrade.php
    The error is PHP Warning: require_once(./install/includes/language.php): failed to open stream: No such file or directory in... if you are not in the right directory

    ----

    When I run upgrade it stands like this forever

    Code:
    Processing XML
    ----------------------------------
    Step 21 -

    I only got that warning in class_bootstrap.php several times. No other error
    Code:
    [Wed Jan 08 06:56:59.844956 2020] [php7:warn] [pid 18578] [client 46.229.168.140:22234] PHP Warning:  Use of undefined constant THIS_SCRIPT - assumed 'THIS_SCRIPT' (this will throw an Error in a future version of PHP) in /home/zoopet/forum/core/includes/class_bootstrap.php on line 241

    Leave a comment:

Related Topics

Collapse

Working...
X